package com.gic.haoban.manage.api.dto.contact;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class ContactOrderDetailDTO implements Serializable {
    private static final long serialVersionUID = 973688857967269975L;
    /**
     * 主键
     */
    private Long id;
    /**
     * 订单id
     */
    private String orderId;
    /**
     * 会员id
     */
    private String memberId;
    /**
     * 订单编号
     */
    private String orderNumber;
    /**
     * 实付金额
     */
    private Double paidAmount;
    /**
     * 商品数量
     */
    private Integer productCount;
    /**
     * 付款时间
     */
    private Date payTime;
    /**
     * 单据时间
     */
    private Date receiptsDate;
    /**
     * 业务渠道
     */
    private String channelCode;
    /**
     * 1 线上; 2 线下
     */
    private Integer channelType;
    /**
     * 建联导购id
     */
    private String clerkId;
    /**
     * 建联导购code
     */
    private String clerkCode;
    /**
     * 建联导购名称
     */
    private String clerkName;
    /**
     * 建联门店id
     */
    private String storeId;
    /**
     * 建联门店code
     */
    private String storeCode;
    /**
     * 建联门店名称
     */
    private String storeName;

    /**
     * 建联id
     */
    private Long contactLogId;
    /**
     * 建联时间
     */
    private Date contactTime;
    /**
     * 成为潜客时间
     */
    private Date potentialTime;

    /**
     * 会员名称
     */
    private String memberName;
    /**
     * 会员昵称
     */
    private String memberNick;

    /**
     * 会员手机号
     */
    private String memberMobile;

    /**
     * 会员卡号
     */
    private String memberCard;

    /**
     * 会员头像
     */
    private String memberImage;

    /**
     * 主门店code
     */
    private String mainStoreCode;

    /**
     * 主门店名称
     */
    private String mainStoreName;

    /**
     * 主导购code
     */
    private String mainClerkCode;

    /**
     * 主导购名称
     */
    private String mainClerkName;

    /**
     * 会员是否删除 1是0否
     */
    private Integer memberDeleteFlag = 0;

    /**
     * 商品信息
     */
    private List<ContactOrderGoodsInfoDTO> goodsInfoList;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public Double getPaidAmount() {
        return paidAmount;
    }

    public void setPaidAmount(Double paidAmount) {
        this.paidAmount = paidAmount;
    }

    public Integer getProductCount() {
        return productCount;
    }

    public void setProductCount(Integer productCount) {
        this.productCount = productCount;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Date getReceiptsDate() {
        return receiptsDate;
    }

    public void setReceiptsDate(Date receiptsDate) {
        this.receiptsDate = receiptsDate;
    }

    public String getChannelCode() {
        return channelCode;
    }

    public void setChannelCode(String channelCode) {
        this.channelCode = channelCode;
    }

    public Integer getChannelType() {
        return channelType;
    }

    public void setChannelType(Integer channelType) {
        this.channelType = channelType;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Long getContactLogId() {
        return contactLogId;
    }

    public void setContactLogId(Long contactLogId) {
        this.contactLogId = contactLogId;
    }

    public Date getContactTime() {
        return contactTime;
    }

    public void setContactTime(Date contactTime) {
        this.contactTime = contactTime;
    }

    public Date getPotentialTime() {
        return potentialTime;
    }

    public void setPotentialTime(Date potentialTime) {
        this.potentialTime = potentialTime;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public String getMemberNick() {
        return memberNick;
    }

    public void setMemberNick(String memberNick) {
        this.memberNick = memberNick;
    }

    public String getMemberMobile() {
        return memberMobile;
    }

    public void setMemberMobile(String memberMobile) {
        this.memberMobile = memberMobile;
    }

    public String getMemberCard() {
        return memberCard;
    }

    public void setMemberCard(String memberCard) {
        this.memberCard = memberCard;
    }

    public String getMemberImage() {
        return memberImage;
    }

    public void setMemberImage(String memberImage) {
        this.memberImage = memberImage;
    }

    public String getMainStoreCode() {
        return mainStoreCode;
    }

    public void setMainStoreCode(String mainStoreCode) {
        this.mainStoreCode = mainStoreCode;
    }

    public String getMainStoreName() {
        return mainStoreName;
    }

    public void setMainStoreName(String mainStoreName) {
        this.mainStoreName = mainStoreName;
    }

    public String getMainClerkCode() {
        return mainClerkCode;
    }

    public void setMainClerkCode(String mainClerkCode) {
        this.mainClerkCode = mainClerkCode;
    }

    public String getMainClerkName() {
        return mainClerkName;
    }

    public void setMainClerkName(String mainClerkName) {
        this.mainClerkName = mainClerkName;
    }

    public Integer getMemberDeleteFlag() {
        return memberDeleteFlag;
    }

    public void setMemberDeleteFlag(Integer memberDeleteFlag) {
        this.memberDeleteFlag = memberDeleteFlag;
    }

    public List<ContactOrderGoodsInfoDTO> getGoodsInfoList() {
        return goodsInfoList;
    }

    public void setGoodsInfoList(List<ContactOrderGoodsInfoDTO> goodsInfoList) {
        this.goodsInfoList = goodsInfoList;
    }
}